## libpod 4.3.1%2Bds1

=== contrib/pkginstaller/Makefile ===
SHELL := bash

ARCH ?= aarch64
GVPROXY_VERSION ?= 0.4.0
QEMU_VERSION ?= 7.0.0-2
GVPROXY_RELEASE_URL ?= https://github.com/containers/gvisor-tap-vsock/releases/download/v$(GVPROXY_VERSION)/gvproxy-darwin
QEMU_RELEASE_URL ?= https://github.com/containers/podman-machine-qemu/releases/download/v$(QEMU_VERSION)/podman-machine-qemu-$(ARCH)-$(QEMU_VERSION).tar.xz
PACKAGE_DIR ?= out/packaging
TMP_DOWNLOAD ?= tmp-download
PACKAGE_ROOT ?= root
PKG_NAME := podman-installer-macos-$(ARCH).pkg

default: pkginstaller

podman_version:
	make -C ../../ test/version/version

$(TMP_DOWNLOAD)/gvproxy:
	mkdir -p $(TMP_DOWNLOAD)
	cd $(TMP_DOWNLOAD) && curl -sLo gvproxy $(GVPROXY_RELEASE_URL)

$(TMP_DOWNLOAD)/podman-machine-qemu-$(ARCH)-$(QEMU_VERSION).tar.xz:
	mkdir -p $(TMP_DOWNLOAD)
	cd $(TMP_DOWNLOAD) && curl -sLO $(QEMU_RELEASE_URL)

packagedir: podman_version package_root Distribution welcome.html
	mkdir -p $(PACKAGE_DIR)
	cp -r Resources $(PACKAGE_DIR)/
	cp welcome.html $(PACKAGE_DIR)/Resources/
	cp Distribution $(PACKAGE_DIR)/
	cp -r scripts $(PACKAGE_DIR)/
	cp -r $(PACKAGE_ROOT) $(PACKAGE_DIR)/
	cp package.sh $(PACKAGE_DIR)/
	cd $(PACKAGE_DIR) && pkgbuild --analyze --root ./root component.plist
	../../test/version/version > $(PACKAGE_DIR)/VERSION
	echo -n $(ARCH) > $(PACKAGE_DIR)/ARCH
	cp ../../LICENSE $(PACKAGE_DIR)/Resources/LICENSE.txt
	cp hvf.entitlements $(PACKAGE_DIR)/

package_root: clean-pkgroot $(TMP_DOWNLOAD)/podman-machine-qemu-$(ARCH)-$(QEMU_VERSION).tar.xz $(TMP_DOWNLOAD)/gvproxy
	mkdir -p $(PACKAGE_ROOT)/podman/bin $(PACKAGE_ROOT)/podman/qemu
	tar -C $(PACKAGE_ROOT)/podman/qemu -xf $(TMP_DOWNLOAD)/podman-machine-qemu-$(ARCH)-$(QEMU_VERSION).tar.xz
	cp $(TMP_DOWNLOAD)/gvproxy $(PACKAGE_ROOT)/podman/bin/
	chmod a+x $(PACKAGE_ROOT)/podman/bin/*

%: %.in podman_version
	@sed -e 's/__VERSION__/'$(shell ../../test/version/version)'/g' $< >$@

pkginstaller: packagedir
	cd $(PACKAGE_DIR) && ./package.sh ..

_notarize: pkginstaller
	xcrun notarytool submit --apple-id $(NOTARIZE_USERNAME) --password $(NOTARIZE_PASSWORD) --team-id=$(NOTARIZE_TEAM) -f json --wait out/$(PKG_NAME)

notarize: _notarize
	xcrun stapler staple out/$(PKG_NAME)

.PHONY: clean clean-pkgroot
clean:
	rm -rf $(TMP_DOWNLOAD) $(PACKAGE_ROOT) $(PACKAGE_DIR) Distribution welcome.html ../../test/version/version

clean-pkgroot:
	rm -rf $(PACKAGE_ROOT) $(PACKAGE_DIR) Distribution welcome.html

## libpod 4.3.1+ds1

=== Makefile ===
###
### Makefile Navigation
###
#
# This file is organized based on approximate end-to-end workflow:
#
# 1.  Variables and common definitions are located at the top
#     to make finding them quicker.
# 2.  Main entry-point targets, like "default", "all", and "help"
# 3.  Targets for code formatting and validation
# 4.  Primary build targets, like podman and podman-remote
# 5.  Secondary build targets, shell completions, static and multi-arch.
# 6.  Targets that format and build documentation
# 7.  Testing targets
# 8.  Release and package-building targets
# 9.  Targets that install tools, utilities, binaries and packages
# 10. Uninstall / Cleanup targets
#
###
### Variables & Definitions
###

GO ?= go
GO_LDFLAGS:= $(shell if $(GO) version|grep -q gccgo ; then echo "-gccgoflags"; else echo "-ldflags"; fi)
GOCMD = CGO_ENABLED=$(CGO_ENABLED) GOOS=$(GOOS) GOARCH=$(GOARCH) $(GO)
COVERAGE_PATH ?= .coverage
DESTDIR ?=
EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
HEAD ?= HEAD
PROJECT := github.com/containers/podman
GIT_BASE_BRANCH ?= origin/main
LIBPOD_INSTANCE := libpod_dev
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
LIBEXECDIR ?= ${PREFIX}/libexec
LIBEXECPODMAN ?= ${LIBEXECDIR}/podman
MANDIR ?= ${PREFIX}/share/man
SHAREDIR_CONTAINERS ?= ${PREFIX}/share/containers
ETCDIR ?= ${PREFIX}/etc
TMPFILESDIR ?= ${PREFIX}/lib/tmpfiles.d
USERTMPFILESDIR ?= ${PREFIX}/share/user-tmpfiles.d
MODULESLOADDIR ?= ${PREFIX}/lib/modules-load.d
SYSTEMDDIR ?= ${PREFIX}/lib/systemd/system
USERSYSTEMDDIR ?= ${PREFIX}/lib/systemd/user
REMOTETAGS ?= remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp
BUILDTAGS ?= \
	$(shell hack/apparmor_tag.sh) \
	$(shell hack/btrfs_installed_tag.sh) \
	$(shell hack/btrfs_tag.sh) \
	$(shell hack/selinux_tag.sh) \
	$(shell hack/systemd_tag.sh) \
	$(shell hack/libsubid_tag.sh) \
	exclude_graphdriver_devicemapper \
	seccomp
ifeq ($(shell uname -s),FreeBSD)
# Use bash for make's shell function - the default shell on FreeBSD
# has a command builtin is not compatible with the way its used below
SHELL := $(shell command -v bash)
endif
PYTHON ?= $(shell command -v python3 python|head -n1)
PKG_MANAGER ?= $(shell command -v dnf yum|head -n1)
# ~/.local/bin is not in PATH on all systems
PRE_COMMIT = $(shell command -v bin/venv/bin/pre-commit ~/.local/bin/pre-commit pre-commit | head -n1)
ifeq ($(shell uname -s),FreeBSD)
SED=gsed
else
SED=sed
endif

# This isn't what we actually build; it's a superset, used for target
# dependencies. Basically: all *.go and *.c files, except *_test.go,
# and except anything in a dot subdirectory. If any of these files is
# newer than our target (bin/podman{,-remote}), a rebuild is
# triggered.
SOURCES = $(shell find . -path './.*' -prune -o \( \( -name '*.go' -o -name '*.c' \) -a ! -name '*_test.go' \) -print)

BUILDTAGS_CROSS ?= containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper exclude_graphdriver_overlay
CONTAINER_RUNTIME := $(shell command -v podman 2> /dev/null || echo docker)
OCI_RUNTIME ?= ""

# The 'sort' below is crucial: without it, 'make docs' behaves differently
# on the first run than on subsequent ones, because the generated .md
MANPAGES_SOURCE_DIR = docs/source/markdown
MANPAGES_MD_IN ?= $(wildcard $(MANPAGES_SOURCE_DIR)/*.md.in)
MANPAGES_MD_GENERATED ?= $(MANPAGES_MD_IN:%.md.in=%.md)
MANPAGES_MD ?= $(sort $(wildcard $(MANPAGES_SOURCE_DIR)/*.md) $(MANPAGES_MD_GENERATED))
MANPAGES ?= $(MANPAGES_MD:%.md=%)
MANPAGES_DEST ?= $(subst markdown,man, $(subst source,build,$(MANPAGES)))

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions
FISHINSTALLDIR=${PREFIX}/share/fish/vendor_completions.d

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)

COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),$(call err_if_empty,COMMIT_NO)-dirty,$(COMMIT_NO))
DATE_FMT = %s
ifdef SOURCE_DATE_EPOCH
	BUILD_INFO ?= $(shell date -u -d "@$(call err_if_empty,SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
	BUILD_INFO ?= $(shell date "+$(DATE_FMT)")
endif
LIBPOD := ${PROJECT}/v4/libpod
GOFLAGS ?= -trimpath
LDFLAGS_PODMAN ?= \
	$(if $(GIT_COMMIT),-X $(LIBPOD)/define.gitCommit=$(GIT_COMMIT),) \
	$(if $(BUILD_INFO),-X $(LIBPOD)/define.buildInfo=$(BUILD_INFO),) \
	-X $(LIBPOD)/config._installPrefix=$(PREFIX) \
	-X $(LIBPOD)/config._etcDir=$(ETCDIR) \
	-X github.com/containers/common/pkg/config.additionalHelperBinariesDir=$(HELPER_BINARIES_DIR)\
	$(EXTRA_LDFLAGS)
LDFLAGS_PODMAN_STATIC ?= \
	$(LDFLAGS_PODMAN) \
	-extldflags=-static
#Update to LIBSECCOMP_COMMIT should reflect in Dockerfile too.
LIBSECCOMP_COMMIT := v2.3.3
# Rarely if ever should integration tests take more than 50min,
# caller may override in special circumstances if needed.
GINKGOTIMEOUT ?= -timeout=90m
# By default, run test/e2e
GINKGOWHAT ?= test/e2e/.
# By default, run tests in parallel across 3 nodes.
GINKGONODES ?= 3

# Conditional required to produce empty-output if binary not built yet.
RELEASE_VERSION = $(shell if test -x test/version/version; then test/version/version; fi)
RELEASE_NUMBER = $(shell echo "$(call err_if_empty,RELEASE_VERSION)" | sed -e 's/^v\(.*\)/\1/')

# If non-empty, logs all output from server during remote system testing
PODMAN_SERVER_LOG ?=

# Ensure GOBIN is not set so the default (`go env GOPATH`/bin) is used.
override undefine GOBIN
# This must never include the 'hack' directory
export PATH := $(shell $(GO) env GOPATH)/bin:$(PATH)

GOMD2MAN ?= $(shell command -v go-md2man || echo './test/tools/build/go-md2man')

CROSS_BUILD_TARGETS := \
	bin/podman.cross.linux.amd64 \
	bin/podman.cross.linux.ppc64le \
	bin/podman.cross.linux.arm \
	bin/podman.cross.linux.arm64 \
	bin/podman.cross.linux.386 \
	bin/podman.cross.linux.s390x \
	bin/podman.cross.linux.mips \
	bin/podman.cross.linux.mipsle \
	bin/podman.cross.linux.mips64 \
	bin/podman.cross.linux.mips64le

# Dereference variable $(1), return value if non-empty, otherwise raise an error.
err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required variable $(1) value is undefined, whitespace, or empty))

# Podman does not work w/o CGO_ENABLED, except in some very specific cases.
# Windows and Mac (both podman-remote client only) require CGO_ENABLED=0.
CGO_ENABLED ?= 1
# Default to the native OS type and architecture unless otherwise specified
NATIVE_GOOS := $(shell env -u GOOS $(GO) env GOOS)
GOOS ?= $(call err_if_empty,NATIVE_GOOS)
# Default to the native architecture type
NATIVE_GOARCH := $(shell env -u GOARCH $(GO) env GOARCH)
GOARCH ?= $(NATIVE_GOARCH)
ifeq ($(call err_if_empty,GOOS),windows)
BINSFX := .exe
SRCBINDIR := bin/windows
CGO_ENABLED := 0
else ifeq ($(GOOS),darwin)
BINSFX :=
SRCBINDIR := bin/darwin
CGO_ENABLED := 0
else
BINSFX := -remote
SRCBINDIR := bin
endif
# Necessary for nested-$(MAKE) calls and docs/remote-docs.sh
export GOOS GOARCH CGO_ENABLED BINSFX SRCBINDIR

# Need to use CGO for mDNS resolution, but cross builds need CGO disabled
# See https://github.com/golang/go/issues/12524 for details
DARWIN_GCO := 0
ifeq ($(call err_if_empty,NATIVE_GOOS),darwin)
ifdef HOMEBREW_PREFIX
	DARWIN_GCO := 1
endif
endif

# win-sshproxy is checked out manually to keep from pulling in gvisor and it's transitive
# dependencies. This is only used for the Windows installer task (podman.msi), which must
# include this lightweight helper binary.
#
GV_GITURL=https://github.com/containers/gvisor-tap-vsock.git
GV_SHA=e943b1806d94d387c4c38d96719432d50a84bbd0

###
### Primary entry-point targets
###

.PHONY: default
default: all

.PHONY: all
all: binaries docs

.PHONY: binaries
ifeq ($(shell uname -s),FreeBSD)
binaries: podman podman-remote ## Build podman and podman-remote binaries
else
binaries: podman podman-remote rootlessport ## Build podman, podman-remote and rootlessport binaries
endif

# Extract text following double-# for targets, as their description for
# the `help` target.  Otherwise These simple-substitutions are resolved
# at reference-time (due to `=` and not `=:`).
_HLP_TGTS_RX = '^[[:print:]]+:.*?\#\# .*$$'
_HLP_TGTS_CMD = grep -E $(_HLP_TGTS_RX) $(MAKEFILE_LIST)
_HLP_TGTS_LEN = $(shell $(call err_if_empty,_HLP_TGTS_CMD) | cut -d : -f 1 | wc -L)
_HLPFMT = "%-$(call err_if_empty,_HLP_TGTS_LEN)s %s\n"
.PHONY: help
help: ## (Default) Print listing of key targets with their descriptions
	@printf $(_HLPFMT) "Target:" "Description:"
	@printf $(_HLPFMT) "--------------" "--------------------"
	@$(_HLP_TGTS_CMD) | sort | \
		awk 'BEGIN {FS = ":(.*)?## "}; \
			{printf $(_HLPFMT), $$1, $$2}'

###
### Linting/Formatting/Code Validation targets
###

.PHONY: .gitvalidation
.gitvalidation:
	@echo "Validating vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
	GIT_CHECK_EXCLUDE="./vendor:./test/tools/vendor:docs/make.bat:test/buildah-bud/buildah-tests.diff" ./test/tools/build/git-validation -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..$(HEAD)

.PHONY: lint
lint: golangci-lint
	@echo "Linting vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
ifeq ($(PRE_COMMIT),)
	@echo "FATAL: pre-commit was not found, make .install.pre-commit to installing it." >&2
	@exit 2
endif
	$(PRE_COMMIT) run -a

.PHONY: golangci-lint
golangci-lint: .install.golangci-lint
	hack/golangci-lint.sh run

.PHONY: test/checkseccomp/checkseccomp
test/checkseccomp/checkseccomp: $(wildcard test/checkseccomp/*.go)
	$(GOCMD) build $(BUILDFLAGS) $(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ ./test/checkseccomp

.PHONY: test/testvol/testvol
test/testvol/testvol: $(wildcard test/testvol/*.go)
	$(GOCMD) build -o $@ ./test/testvol

.PHONY: volume-plugin-test-img
volume-plugin-test-img:
	./bin/podman build --network none -t quay.io/libpod/volume-plugin-test-img:$$(date +%Y%m%d) -f ./test/testvol/Containerfile .

.PHONY: test/goecho/goecho
test/goecho/goecho: $(wildcard test/goecho/*.go)
	$(GOCMD) build $(BUILDFLAGS) $(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' -o $@ ./test/goecho

test/version/version: version/version.go
	$(GO) build -o $@ ./test/version/

.PHONY: codespell
codespell:
	codespell -S bin,vendor,.git,go.sum,.cirrus.yml,"RELEASE_NOTES.md,*.xz,*.gz,*.ps1,*.tar,swagger.yaml,*.tgz,bin2img,*ico,*.png,*.1,*.5,copyimg,*.orig,apidoc.go" -L clos,ans,pullrequest,uint,iff,od,seeked,splitted,marge,erro,hist,ether -w

.PHONY: validate
validate: lint .gitvalidation validate.completions man-page-check swagger-check tests-included tests-expect-exit pr-removes-fixed-skips

.PHONY: build-all-new-commits
build-all-new-commits:
	# Validate that all the commits build on top of $(GIT_BASE_BRANCH)
	git rebase $(call err_if_empty,GIT_BASE_BRANCH) -x "$(MAKE)"

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

.PHONY: vendor-in-container
vendor-in-container:
	podman run --rm --env HOME=/root \
		-v $(CURDIR):/src -w /src \
		--security-opt label=disable \
		docker.io/library/golang:1.17 \
		make vendor

###
### Primary binary-build targets
###

# Make sure to warn in case we're building without the systemd buildtag.
bin/podman: $(SOURCES) go.mod go.sum
ifeq (,$(findstring systemd,$(BUILDTAGS)))
	@echo "Podman is being compiled without the systemd build tag. \
		Install libsystemd on Ubuntu or systemd-devel on rpm based \
		distro for journald support."
endif
	$(GOCMD) build \
		$(BUILDFLAGS) \
		$(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' \
		-tags "$(BUILDTAGS)" \
		-o $@ ./cmd/podman

# Disambiguate Linux vs Darwin/Windows platform binaries under distinct "bin" dirs
$(SRCBINDIR):
	mkdir -p $(SRCBINDIR)

# '|' is to ignore SRCBINDIR mtime; see: info make 'Types of Prerequisites'
$(SRCBINDIR)/podman$(BINSFX): $(SOURCES) go.mod go.sum | $(SRCBINDIR)
	$(GOCMD) build \
		$(BUILDFLAGS) \
		$(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' \
		-tags "${REMOTETAGS}" \

=== pkg/api/Makefile ===
SWAGGER_OUT ?= swagger.yaml

validate: ${SWAGGER_OUT}
	swagger validate ${SWAGGER_OUT}

serve: ${SWAGGER_OUT}
	swagger serve -F redoc -p=8080 swagger.yaml

.PHONY: ${SWAGGER_OUT}
${SWAGGER_OUT}:
	# generate doesn't remove file on error
	rm -f ${SWAGGER_OUT}
	swagger generate spec -o ${SWAGGER_OUT} -i tags.yaml -w ./ -m

=== debian/changelog ===
libpod (4.3.1+ds1-8+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * d/patches: backport fix for removed container handling (Closes: #1059496)

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 26 Feb 2024 09:30:29 -0500

libpod (4.3.1+ds1-8) unstable; urgency=medium

  * [upstream] unbreak using docker as client
  * debian/control: tighten dependencies against buildah (Closes: #1034871)
  * [upstream] system reset: show graphRoot/runRoot before removal

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Apr 2023 08:19:54 -0400

libpod (4.3.1+ds1-7) unstable; urgency=medium

  * [upstream] volume,container: chroot to source before exporting content
    (Closes: #1032099), Fixes: CVE-2023-0778

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Apr 2023 18:39:24 -0400

libpod (4.3.1+ds1-6) unstable; urgency=medium

  * Team upload

  [ Reinhard Tartler ]
  * Re-enable builtin tests, but mark as flaky

  [ Shengjing Zhu ]
  * Replace golang-github-uber-go-atomic-dev with golang-go.uber-atomic-dev
  * Drop unused golang-github-{influxdata,hpcloud}-tail-dev in Build-Depends
  * Replace golang-ginkgo-dev with golang-github-onsi-ginkgo-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 26 Feb 2023 21:41:30 +0800

libpod (4.3.1+ds1-5) unstable; urgency=medium

  * Drop golang-github-containers-libpod-dev
  * Add a simple smoketest

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Nov 2022 12:25:39 -0500

libpod (4.3.1+ds1-4) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Nov 2022 15:35:49 -0500

libpod (4.3.1+ds1-3) experimental; urgency=medium

  * debian/rules: make the previous change to build machine/qemu only
    on supported architecture actually work

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Nov 2022 17:49:12 -0500

libpod (4.3.1+ds1-2) experimental; urgency=medium

  * Build machine/qemu only on amd64, arm64, fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Nov 2022 07:33:14 -0500

libpod (4.3.1+ds1-1) experimental; urgency=medium

  * New upstream release
    - Add container GID to additional groups,
      fixes CVE-2022-2989, closes: #1019591
  * Bugfix: Subordinate UID/GID ranges not fetched from libsubid,
    Thanks to Sam Morris <sam@robots.org.uk> for the patch, closes: #1019929

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Nov 2022 12:27:53 -0500

libpod (4.2.0+ds1-3) experimental; urgency=medium

  * Force using golang-go to avoid compilation failures with gcc-go
  * Confirmed updated components allow podman to work, thanks to
    Bastian Blank (Closes: #1012053), and is compiled against a
    containers/common that is more mindful regarding foreign-arch
    images (Closes: #1009376)
  * Confirmed fix: "starting rootless container fails with: can't get final
    child's PID from pipe: EOF", code change likely already in 4.1
    thanks to Gabriel Filion (Closes: #1007022).
  * Make podman recommend 'dbus-user-session', Closes: #1009747

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Aug 2022 09:43:54 +0200

libpod (4.2.0+ds1-2) experimental; urgency=medium

  * tighten dependency on golang-github-opencontainers-runc-dev

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 18:51:09 +0200

libpod (4.2.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * drop patches merged upstream
  * add distro patch to use system 'goimports' utility
  * tighten dependencies
  * hooks/docs no longer provides section 5 manpages

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Aug 2022 15:37:36 +0200

libpod (4.1.1+ds1-3) experimental; urgency=medium

  * reorganize dependencies for networking stack

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 20:47:56 +0200

libpod (4.1.1+ds1-2) experimental; urgency=medium

  * organize GOLANG_EXCLUDES and GOLANG_TEST_EXCLUDES
  * add patches fix-test-TestEnvVarValue-NN.patch, fixes
    Test failures for !amd64, !arm64 Closes: #1014309

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 Jul 2022 12:07:31 -0400

libpod (4.1.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 17:33:34 -0400

libpod (4.1.0+ds2-2) experimental; urgency=medium

  * Avoid building podman/pkg/machine/e2e on all architectures

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 May 2022 16:31:29 -0400

libpod (4.1.0+ds2-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 May 2022 06:42:45 -0400

libpod (4.0.3+ds1-1) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Stop installing systemd socket units under /usr/lib, Closes: #1009374

  [ Reinhard Tartler ]
  * New upstream release
  * Skip installation of podman-remote(1), Closes: #1000521

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Apr 2022 06:41:11 -0400

libpod (4.0.1+ds1-3) experimental; urgency=medium

  * Fix installation of systemd units

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Mar 2022 17:16:32 -0500

libpod (4.0.1+ds1-2) experimental; urgency=medium

  * Install rootlessport, Closes: #1006426

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Feb 2022 12:47:27 -0500

libpod (4.0.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2022 21:43:55 -0500

libpod (4.0.0~rc5+ds1-1) experimental; urgency=medium

  * New upstream release, closes: #1003486
  * Bug fix: "podman-restart missing from podman package", thanks to Jelle
    van der Waa (Closes: #1001780).

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Feb 2022 20:44:22 -0500

libpod (3.4.7+ds1-3) unstable; urgency=medium

  * backport upstream patch to avoid runtime crash,
    Closes: #1010000 for real this time.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Apr 2022 08:07:13 -0400

libpod (3.4.7+ds1-2) unstable; urgency=medium



=== debian/control ===
Source: libpod
Section: admin
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13)
    ,bash-completion
    ,conmon
    ,dh-golang
    ,go-md2man
    ,golang-go
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-github-onsi-ginkgo-dev
    ,golang-github-appc-cni-dev (>= 0.8)
    ,golang-github-buger-goterm-dev
    ,golang-github-checkpoint-restore-go-criu-dev (>> 5.3)
    ,golang-github-containerd-cgroups-dev
    ,golang-github-containers-buildah-dev (>= 1.28.2+ds1-3)
    ,golang-github-containers-common-dev (>= 0.50)
    ,golang-github-containers-image-dev (>= 5.22)
    ,golang-github-containers-ocicrypt-dev
    ,golang-github-containers-psgo-dev
    ,golang-github-containers-storage-dev (>= 1.42)
    ,golang-github-coreos-bbolt-dev (>= 1.3.3~)
    ,golang-github-coreos-go-iptables-dev (>= 0.4.2~)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-cyphar-filepath-securejoin-dev (>= 0.2.2~)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-dev (>= 20.10.0~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-spdystream-dev
    ,golang-github-dtylman-scp-dev
    ,golang-github-fullsailor-pkcs7-dev
    ,golang-github-ghodss-yaml-dev
    ,golang-github-go-logr-logr-dev
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-gorilla-schema-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-moby-term-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-nxadm-tail-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runc-dev (>= 1.1.3+ds1-6)
    ,golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~)
    ,golang-github-opencontainers-selinux-dev (>= 1.2.2~)
    ,golang-github-openshift-imagebuilder-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-pkg-profile-dev
    ,golang-github-rootless-containers-rootlesskit-dev
    ,golang-github-seccomp-libseccomp-golang-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-go.uber-atomic-dev
    ,golang-github-ulikunitz-xz-dev
    ,golang-github-vbatts-tar-split-dev
    ,golang-github-vbauerster-mpb-dev (>= 6)
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0+git20181030~)
    ,golang-github-vividcortex-ewma-dev
    ,golang-go-zfs-dev
    ,golang-go.opencensus-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev (>= 1:0.0+git20210119)
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-tools
    ,golang-golang-x-xerrors-dev
    ,golang-gomega-dev
    ,golang-google-genproto-dev
    ,golang-google-grpc-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-gopkg-yaml.v3-dev
    ,golang-k8s-klog-dev
    ,golang-k8s-sigs-structured-merge-diff-dev (>> 4)
    ,golang-k8s-sigs-yaml-dev
    ,golang-toml-dev
    ,libapparmor-dev
    ,libbtrfs-dev
    ,libdevmapper-dev
    ,libglib2.0-dev
    ,libostree-dev
    ,libsubid-dev
# sphinx docs:
#   ,python3-recommonmark
Homepage: https://github.com/containers/podman
Vcs-Browser: https://salsa.debian.org/debian/libpod
Vcs-Git: https://salsa.debian.org/debian/libpod.git
XS-Go-Import-Path: github.com/containers/podman

Package: podman
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
    ,conmon (>= 2.0.18~)
    ,golang-github-containers-common
    ,crun | runc (>= 1.0.0~rc92~)
Breaks: buildah (<< 1.10.1-6), slirp4netns (<< 0.4.1), fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends}
    ,buildah (>= 1.28)
    ,dbus-user-session
    ,fuse-overlayfs (>= 1.0.0~)
    ,slirp4netns (>= 0.4.1~)
    ,catatonit | tini | dumb-init
    ,uidmap
Suggests: ${misc:Suggests}
    ,containers-storage
    ,docker-compose
    ,iptables
Description: engine to run OCI-based containers in Pods
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.

Package: podman-docker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}, podman
Conflicts: docker.io
Recommends: docker-compose
Description: engine to run OCI-based containers in Pods - wrapper for docker
 Podman is an engine for running OCI-based containers in Pods.
 Podman provides a CLI interface for managing Pods, Containers, and
 Container Images.
 .
 At a high level, the scope of libpod and podman is the following:
  * Support multiple image formats including the OCI and Docker image
    formats.
  * Support for multiple means to download images including trust & image
    verification.
  * Container image management (managing image layers, overlay filesystems,
    etc).
  * Full management of container lifecycle.
  * Support for pods to manage groups of containers together.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface through Podman.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package installs a wrapper script that acts like the original docker
 implementation

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# cf. https://wiki.debian.org/ToolChain/LTO and https://github.com/golang/go/issues/45275
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

export GO111MODULE=off

export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := testdata cni

# machine/qemu only works on amd64, arm64
ifeq (,$(filter amd64 arm64,$(DEB_HOST_ARCH)))
$(info excluding pkg/machine/qemu for $(DEB_HOST_ARCH))
LOCAL_DH_GOLANG_EXTRA_EXCLUDES := pkg/machine/qemu
endif

export DH_GOLANG_EXCLUDES := $(LOCAL_DH_GOLANG_EXTRA_EXCLUDES) \
	contrib/perftest \
	dependencies \
	hack/podman-registry-go \
	pkg/bindings/test \
	podman/pkg/machine/e2e \
	test/e2e \
	test/endpoint \
	test/utils

# machine/qemu only works on amd64, arm64
ifneq (,$(filter amd64 arm64,$(DEB_HOST_ARCH)))
export DH_GOLANG_EXCLUDES += pkg/machine/qemu
endif


export DH_GOLANG_TEST_EXCLUDES := $(DH_GOLANG_EXCLUDES) \
	libpod/hack/podman-registry-go \
	libpod/lock/file \
	libpod/network/cni \
	libpod/pkg/bindings/test \
	podman/cmd/podman/common


export HOME=$(CURDIR)/debian/tmp

## https://podman.io/getting-started/installation#build-tags
BUILDTAGS := apparmor,ostree,seccomp,selinux,systemd,libsubid
# containers_image_openpgp

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

override_dh_auto_build:
	$(MAKE) docs docker-docs

#	LDFLAGS_PODMAN="-X main.gitCommit=$(GIT_COMMIT)"
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
          -ldflags "-X main.buildInfo=$(DEB_VERSION)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# make test binaries available where the tests expect them
	ln -sv  ../../../../bin  _output/src/github.com/containers/podman/bin
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_TEST_EXCLUDES}" \
	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
	rm -rf $(CURDIR)/debian/tmp-home
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp --buildsystem=golang --builddirectory=_output
	# generate and install systemd unit files
	make DESTDIR=debian/tmp PREFIX=/ LIBEXECDIR=/usr/lib/ BINDIR=/usr/bin install.systemd

# Disable dh_missing
override_dh_missing:
	# remove unwanted files, cf. #1000521
	find debian -name '*podman-remote*' -ls -delete
	dh_missing --list-missing -X goecho -X testvol -X version

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd --name=podman-auto-update
	dh_installsystemd --name=podman-restart

=== debian/tests/control ===
Test-Command: podman info
Restrictions: needs-root, allow-stderr

Tests: builtin_tests
Depends: @builddeps@, @, catatonit, dbus-user-session, fuse-overlayfs, slirp4netns, uidmap, containers-storage, iptables, buildah
Restrictions: allow-stderr, needs-root, flaky
